Bug 237296 - BUG: at drivers/hid/hid-core.c:780 implement()
BUG: at drivers/hid/hid-core.c:780 implement()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 13:34 EDT by Daniel Johansson
Modified: 2008-05-06 15:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (27.83 KB, text/plain)
2007-04-20 13:34 EDT, Daniel Johansson
no flags Details

  None (edit)
Description Daniel Johansson 2007-04-20 13:34:26 EDT
Description of problem:
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c0465e92>] cache_alloc_refill+0x164/0x468
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c0465e92>] cache_alloc_refill+0x164/0x468
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c0465e92>] cache_alloc_refill+0x164/0x468
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c0429b31>] lock_timer_base+0x15/0x2f
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c0465e92>] cache_alloc_refill+0x164/0x468
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c0429b31>] lock_timer_base+0x15/0x2f
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c0465e92>] cache_alloc_refill+0x164/0x468
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c0429b31>] lock_timer_base+0x15/0x2f
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c0432649>] autoremove_wake_function+0x0/0x35
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c0429b31>] lock_timer_base+0x15/0x2f
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c0432649>] autoremove_wake_function+0x0/0x35
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================
BUG: at drivers/hid/hid-core.c:780 implement()
 [<c0599e27>] hid_output_report+0x20f/0x2ba
 [<c0429b31>] lock_timer_base+0x15/0x2f
 [<c057dafa>] hid_submit_ctrl+0x55/0x1c8
 [<c057ddab>] usbhid_submit_report+0x13e/0x169
 [<c0432649>] autoremove_wake_function+0x0/0x35
 [<c057f9d7>] hiddev_ioctl+0x367/0x8dc
 [<c057d7e9>] hid_start_in+0x61/0x67
 [<c057df0a>] usbhid_open+0xe/0x1d
 [<c0468351>] nameidata_to_filp+0x24/0x33
 [<c04738e4>] do_ioctl+0x4c/0x62
 [<c0473b3e>] vfs_ioctl+0x244/0x256
 [<c0473b9c>] sys_ioctl+0x4c/0x64
 [<c0402d6a>] sysenter_past_esp+0x5f/0x85
 [<c0600033>] unix_stream_recvmsg+0x32d/0x4bb
 =======================


Version-Release number of selected component (if applicable):
2.6.18-1.2798.fc6xen
2.6.20-1.2933.fc6
2.6.20.7
...all of them I guess.

How reproducible:
I am using an ASROCK 775Dual-VSTA Motherboard.

Steps to Reproduce:
1.boot
  
Actual results:
Causes bluetooth to go nuts (very slow) sometimes.

Expected results:
?

Additional info:
I have attached my dmesg output.
Comment 1 Daniel Johansson 2007-04-20 13:34:26 EDT
Created attachment 153199 [details]
dmesg output
Comment 2 Chuck Ebbert 2007-04-20 14:12:51 EDT
This is just a warning message.
It may be fixed in the 2945 (or higher) kernel:

http://people.redhat.com/cebbert/kernels
Comment 3 Daniel Johansson 2007-04-20 14:16:07 EDT
Well it does make my bluetooth-keyboard and mouse completely stop working after
an hour or so. I find it be a big issue.
Comment 4 Chuck Ebbert 2007-04-20 14:26:11 EDT
Please test the 2945 kernel.
Comment 5 Daniel Johansson 2007-04-20 18:24:46 EDT
I have tried the 2.6.20.7 (fresh fron www.kernel.org) now for a while and I
havent seen the bluetooth error for at least 10-12 hours. Seems like that has
been resolved.
Although I dont understand if the 2945 is built on 2.6.20.7 or on 2.6.20-1.
There are patches to 2.6.20.7 when i install the source packages (but naming
indicates 2.6.20-1) just curious, since i want the latest.
Comment 6 Chuck Ebbert 2007-04-20 18:33:35 EDT
Kernel 2945 is just 2944 updated to 2.6.20.7, no other changes.

$ rpm -qp --changelog \
http://people.redhat.com/cebbert/kernels/kernel-2.6.20-1.2945.fc6.i686.rpm | head
* Tue Apr 17 2007 Chuck Ebbert <cebbert@redhat.com>             1.2945
- 2.6.20.7
Comment 7 Daniel Johansson 2007-05-05 20:15:15 EDT
Sorry bug still present in 2945. Today my bluetooth mouse and keyboard went
useless again. They just stop moveing, though other things might work.
The error is not very common but extremely disturbing.
I did not have this error before i switched to the775dual-vsta mb. with logitech
dinovo bluetooth hub,keyboard & mouse.
Comment 8 Chuck Ebbert 2007-05-07 11:38:59 EDT
Please try 2949 - an additional HID fix went in.
Comment 9 Daniel Johansson 2007-05-07 11:45:17 EDT
I've tried it (2949), and it's not stable enough for me to try that out.  It
works a few hours and then the computer locks up. I'll try next kernel again and
see if it works.
Comment 10 Daniel Johansson 2007-05-10 17:17:33 EDT
This is the last of dmesg when the error occurs:

input: Bluetooth HID Boot Protocol Device as /class/input/input7
input: Bluetooth HID Boot Protocol Device as /class/input/input8
hda-intel: Invalid position buffer, using LPIB read method instead.
input: Bluetooth HID Boot Protocol Device as /class/input/input9
input: Bluetooth HID Boot Protocol Device as /class/input/input10
input: Bluetooth HID Boot Protocol Device as /class/input/input11

I will try to use 2949 without the gspca webcam driver and no beryl to see if
its stable and write here again in a few days.
Comment 11 Daniel Johansson 2007-05-18 10:24:45 EDT
Bug is still present in 2949.
This does not occur using a laptop with builtin bluetooth using the same
devices. And it does not occur using the same bluetooth hub with nforce2 chipset
motherboard. 
So it must be the motherboard that is the cause (775dual-vsta).
Comment 12 Daniel Johansson 2007-06-08 09:27:48 EDT
Apparently this was the result of having to little free space on /. Works after
some cleanup.
Comment 13 Daniel Johansson 2007-06-08 17:37:46 EDT
Dammit! Thought I had waited enough to secure that is was solved this time.
Apparently not. Error is still present.
Comment 14 Chuck Ebbert 2007-06-08 17:48:57 EDT
What kind of bluetooth adapter has the problem?
If it's usb, output of the 'lsusb' command will tell.
Comment 15 Daniel Johansson 2007-06-08 17:55:58 EDT
It is the hub that comes with logitech dinovo as of 2005-01.
A logitech hub. I dont know fully how to interpret the data, so here it is with
only the logitech hub connected.

Bus 004 Device 001: ID 0000:0000  
Bus 005 Device 001: ID 0000:0000  
Bus 003 Device 001: ID 0000:0000  
Bus 002 Device 004: ID 046d:c707 Logitech, Inc. 
Bus 002 Device 001: ID 0000:0000  
Bus 002 Device 003: ID 046d:c704 Logitech, Inc. 
Bus 002 Device 002: ID 0451:2036 Texas Instruments, Inc. TUSB2036 Hub
Bus 001 Device 001: ID 0000:0000  
Comment 16 Martin Ebourne 2007-06-08 19:26:03 EDT
Looks like a dup of bug 228755.
Comment 17 Daniel Johansson 2007-06-08 19:30:12 EDT
I don't know if my first message has anything to do with it. The only thing I
know is that bluetooth and possibly all usb stops working properly. Also I have
random lockups.
Comment 18 Bug Zapper 2008-04-04 02:54:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 19 Bug Zapper 2008-05-06 15:31:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.